Skip to content

Managed Rancher Service

All operations require authentication.

11 operationsv2/publicCloud/project
Agent setup

List managed Rancher servicesProduction

GET
/v2/publicCloud/project/{projectId}/rancher

Path parameters

projectId
required
string

Project ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Rancher[]successful operation
createdAt
read-only
stringdate-time

Date of the managed Rancher service creation

currentState
read-only
RancherCurrentState

Current configuration applied to the managed Rancher service

currentTasks
read-only
CurrentTask[]

Asynchronous operations ongoing on the managed Rancher service

id
read-only
stringuuid

Unique identifier

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
RancherTargetSpec

Last target specification of the managed Rancher service

updatedAt
read-only
stringdate-time

Date of the last managed Rancher service update

500objectError 500 response

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/rancher \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "bootstrapPassword": "string", "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "networking": { "egressCidrBlocks": [ "192.0.2.0/24" ] }, "plan": "OVHCLOUD_EDITION", "region": "EU_WEST_GRA", "url": "string", "usage": { "datetime": "2024-01-01T12:00:00Z", "orchestratedVcpus": 0 }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "plan": "OVHCLOUD_EDITION", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Create a new managed Rancher serviceProduction

POST
/v2/publicCloud/project/{projectId}/rancher

Path parameters

projectId
required
string

Project ID

Request body (required)

targetSpec
required
RancherCreationTargetSpec

Target specification for the managed Rancher service

Response

200Ranchersuccessful operation
createdAt
read-only
stringdate-time

Date of the managed Rancher service creation

currentState
read-only
RancherCurrentState

Current configuration applied to the managed Rancher service

currentTasks
read-only
CurrentTask[]

Asynchronous operations ongoing on the managed Rancher service

id
read-only
stringuuid

Unique identifier

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
RancherTargetSpec

Last target specification of the managed Rancher service

updatedAt
read-only
stringdate-time

Date of the last managed Rancher service update

500objectError 500 response

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/rancher \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "bootstrapPassword": "string", "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "networking": { "egressCidrBlocks": [ "192.0.2.0/24" ] }, "plan": "OVHCLOUD_EDITION", "region": "EU_WEST_GRA", "url": "string", "usage": { "datetime": "2024-01-01T12:00:00Z", "orchestratedVcpus": 0 }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "plan": "OVHCLOUD_EDITION", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Get a managed Rancher serviceProduction

GET
/v2/publicCloud/project/{projectId}/rancher/{rancherId}

Path parameters

projectId
required
string

Project ID

rancherId
required
stringuuid

Rancher ID

Response

200Ranchersuccessful operation
createdAt
read-only
stringdate-time

Date of the managed Rancher service creation

currentState
read-only
RancherCurrentState

Current configuration applied to the managed Rancher service

currentTasks
read-only
CurrentTask[]

Asynchronous operations ongoing on the managed Rancher service

id
read-only
stringuuid

Unique identifier

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
RancherTargetSpec

Last target specification of the managed Rancher service

updatedAt
read-only
stringdate-time

Date of the last managed Rancher service update

500objectError 500 response

Example uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/rancher/{rancherId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "bootstrapPassword": "string", "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "networking": { "egressCidrBlocks": [ "192.0.2.0/24" ] }, "plan": "OVHCLOUD_EDITION", "region": "EU_WEST_GRA", "url": "string", "usage": { "datetime": "2024-01-01T12:00:00Z", "orchestratedVcpus": 0 }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "plan": "OVHCLOUD_EDITION", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Update an existing managed Rancher serviceProduction

PUT
/v2/publicCloud/project/{projectId}/rancher/{rancherId}

Path parameters

projectId
required
string

Project ID

rancherId
required
stringuuid

Rancher ID

Request body (required)

targetSpec
required
RancherTargetSpec

New target specification for the managed Rancher service

Response

200Ranchersuccessful operation
createdAt
read-only
stringdate-time

Date of the managed Rancher service creation

currentState
read-only
RancherCurrentState

Current configuration applied to the managed Rancher service

currentTasks
read-only
CurrentTask[]

Asynchronous operations ongoing on the managed Rancher service

id
read-only
stringuuid

Unique identifier

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
RancherTargetSpec

Last target specification of the managed Rancher service

updatedAt
read-only
stringdate-time

Date of the last managed Rancher service update

500objectError 500 response

Example uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/rancher/{rancherId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "bootstrapPassword": "string", "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "networking": { "egressCidrBlocks": [ "192.0.2.0/24" ] }, "plan": "OVHCLOUD_EDITION", "region": "EU_WEST_GRA", "url": "string", "usage": { "datetime": "2024-01-01T12:00:00Z", "orchestratedVcpus": 0 }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "plan": "OVHCLOUD_EDITION", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Delete a managed Rancher serviceProduction

DELETE
/v2/publicCloud/project/{projectId}/rancher/{rancherId}

Path parameters

projectId
required
string

Project ID

rancherId
required
stringuuid

Rancher ID

Response

200Ranchersuccessful operation
createdAt
read-only
stringdate-time

Date of the managed Rancher service creation

currentState
read-only
RancherCurrentState

Current configuration applied to the managed Rancher service

currentTasks
read-only
CurrentTask[]

Asynchronous operations ongoing on the managed Rancher service

id
read-only
stringuuid

Unique identifier

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
RancherTargetSpec

Last target specification of the managed Rancher service

updatedAt
read-only
stringdate-time

Date of the last managed Rancher service update

500objectError 500 response

Example uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/rancher/{rancherId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "bootstrapPassword": "string", "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "networking": { "egressCidrBlocks": [ "192.0.2.0/24" ] }, "plan": "OVHCLOUD_EDITION", "region": "EU_WEST_GRA", "url": "string", "usage": { "datetime": "2024-01-01T12:00:00Z", "orchestratedVcpus": 0 }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "iamAuthEnabled": true, "ipRestrictions": [ { "cidrBlock": "192.0.2.0/24", "description": "string" } ], "name": "string", "plan": "OVHCLOUD_EDITION", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Reset the admin passwordProduction

POST
/v2/publicCloud/project/{projectId}/rancher/{rancherId}/adminCredentials

Path parameters

projectId
required
string

Project ID

rancherId
required
stringuuid

Rancher ID

Response

200Credentialssuccessful operation
password
read-only
stringpassword

Password of the user

username
read-only
string

Name of the user

500objectError 500 response

Example uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/rancher/{rancherId}/adminCredentials \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "password": "string", "username": "string"}

List available and current plans for the given managed Rancher serviceProduction

GET
/v2/publicCloud/project/{projectId}/rancher/{rancherId}/capabilities/plan

Path parameters

projectId
required
string

Project ID

rancherId
required
stringuuid

Rancher ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200PlanCapability[]successful operation
cause
read-only
PlanUnavailabilityCauseEnum

Cause for an unavailability

ValuesCANNOT_DOWNGRADE_USING_HIGHER_FEATURESCANNOT_SWITCH_PLAN_FOR_ALPHANOT_IMPLEMENTED
message
read-only
string

Human-readable description of the unavailability cause

name
read-only
PlanEnum

Name of the plan

ValuesOVHCLOUD_EDITIONSTANDARD
status
read-only
PlanCapabilityStatusEnum

Status of the plan

ValuesAVAILABLECURRENTUNAVAILABLE
500objectError 500 response

Example uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/rancher/{rancherId}/capabilities/plan \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "cause": "CANNOT_DOWNGRADE_USING_HIGHER_FEATURES", "message": "string", "name": "OVHCLOUD_EDITION", "status": "AVAILABLE" }]

List available and current versions for the given managed Rancher serviceProduction

GET
/v2/publicCloud/project/{projectId}/rancher/{rancherId}/capabilities/version

Path parameters

projectId
required
string

Project ID

rancherId
required
stringuuid

Rancher ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200VersionCapability[]successful operation
cause
read-only
VersionUnavailabilityCauseEnum

Cause for an unavailability

ValuesCANNOT_UPGRADE_MULTIPLE_VERSIONSDEPRECATEDDISABLEDEND_OF_LIFEEND_OF_SALEEND_OF_SUPPORT
changelogUrl
read-only
string

Changelog URL of the version

message
read-only
string

Human-readable description of the unavailability cause

name
read-only
string

Name of the version

status
read-only
VersionCapabilityStatusEnum

Status of the version

ValuesAVAILABLEUNAVAILABLE
500objectError 500 response

Example uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/rancher/{rancherId}/capabilities/version \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "cause": "CANNOT_UPGRADE_MULTIPLE_VERSIONS", "changelogUrl": "string", "message": "string", "name": "string", "status": "AVAILABLE" }]

List all events related to the managed Rancher serviceProduction

GET
/v2/publicCloud/project/{projectId}/rancher/{rancherId}/event

Path parameters

projectId
required
string

Project ID

rancherId
required
stringuuid

Rancher ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Event[]successful operation
createdAt
read-only
stringdate-time

Creation date of the event

kind
read-only
string

Nature of the event

link
read-only
string

Link to the event related resource

message
read-only
string

Description of what happened on the event

type
read-only
EventTypeEnum

Type of the event

ValuesTARGET_SPEC_UPDATETASK_ERRORTASK_STARTTASK_SUCCESS
500objectError 500 response

Example uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/rancher/{rancherId}/event \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "link": "string", "message": "string", "type": "TARGET_SPEC_UPDATE" }]

List all asynchronous operations related to the managed Rancher serviceProduction

GET
/v2/publicCloud/project/{projectId}/rancher/{rancherId}/task

Path parameters

projectId
required
string

Project ID

rancherId
required
stringuuid

Rancher ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Task[]successful operation
createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

500objectError 500 response

Example uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/rancher/{rancherId}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]

Get a specific task related to the managed Rancher serviceProduction

GET
/v2/publicCloud/project/{projectId}/rancher/{rancherId}/task/{taskId}

Path parameters

projectId
required
string

Project ID

rancherId
required
stringuuid

Rancher ID

taskId
required
stringuuid

Task ID

Response

200Tasksuccessful operation
createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

500objectError 500 response

Example uses projectId = string, rancherId = 00000000-0000-0000-0000-000000000000, taskId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/rancher/{rancherId}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}